EasyRoutes API

List imported stops

GET
/stops/imports

Fetch a list of imported stops. The response will include a list of imported stops and a cursor to fetch the next page of results. Subsequent requests should include the cursor only and no list query arguments (which are encoded in the cursor).

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from /authenticate

In: header

Query Parameters

query.limit?integer

Maximum number of imported stops to return. Must be less than or equal to 200. Defaults to 20.

Formatint32
Range1 <= value <= 200
cursor?string

Cursor to fetch the next page of results (if available). Should only be set on subsequent requests.

Response Body

application/json

application/json

curl -X GET "https://example.com/stops/imports"
{  "stops": [    {      "id": "ist-123e4567-e89b-12d3-a456-426614174000",      "clientStopId": "test-order-1234",      "address": {        "address1": "123 Main St",        "address2": "Apt 3B",        "city": "New York",        "provinceCode": "NY",        "countryCode": "US",        "zip": "10001"      },      "contact": {        "firstName": "John",        "lastName": "Doe",        "company": "Roundtrip Systems Inc",        "phone": "+14265551000",        "email": "john.doe@roundtrip.ai"      },      "coordinates": {        "latitude": 0.1,        "longitude": 0.1      },      "items": [        {          "name": "Bananas",          "quantity": 5,          "grams": 500,          "sku": "BANANA-001"        }      ],      "note": "Leave at door.",      "duration": "string",      "priority": 5,      "orderName": "#1234",      "importedAt": "2019-08-24T14:15:22Z",      "timeWindows": [        {          "start": {            "hours": 13,            "minutes": 37,            "seconds": 16          },          "end": {            "hours": 13,            "minutes": 37,            "seconds": 16          }        }      ],      "deliveryDate": {        "year": 2019,        "month": 11,        "day": 15      },      "attributes": [        {          "key": "delivery_date",          "value": "2025-12-16"        }      ],      "tags": [        "foo",        "bar"      ],      "tasks": [        {          "title": "Delivery checklist",          "type": "CHECKBOXES",          "items": [            {              "title": "Pick up package"            }          ],          "requiredToMarkStopAsDelivered": true,          "requiredToMarkStopAsAttempted": true        }      ],      "type": "DELIVERY",      "customSignatureDisclosure": "I acknowledge that I have received this delivery."    }  ],  "nextCursor": "string"}
{  "code": 0,  "message": "string",  "details": [    {      "@type": "string"    }  ]}